## bsdmainutils 3.2-0

=== Makefile ===
CC = gcc
CFLAGS = -O2   -I. -I/usr/include/bsd   -DDEBIAN
LDFLAGS = -s
LDLIBS = -lbsd

INSTALL = install
LS = ls

usrbindir = /usr/bin
libdir = /usr/lib
mandir = /usr/man
man1dir = $(mandir)/man1
man6dir = $(mandir)/man6


# Programs that are installed to $(usrbindir).
USRBINPROGS = banner cal calendar col colcrt colrm column from hexdump \
              look lorder tsort ul vacation whois

# Programs installed to $(usrbindir), but setgid tty
SGIDTTYPROGS = write

.c.o:
	$(CC) $(CFLAGS) -c $<

.o:
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

all:  $(USRBINPROGS) $(SGIDTTYPROGS)

clean:
	rm -f $(USRBINPROGS) $(SGIDTTYPROGS)
	rm -f *.o core *~

install: all
	./mkinstalldirs $(usrbindir) $(libdir) $(man1dir) $(man6dir)
	for f in $(USRBINPROGS); \
	do \
	  $(INSTALL) $$f $(usrbindir)/$$f; \
	done
	for f in $(SGIDTTYPROGS); do \
	  $(INSTALL) -o root -g tty -m 2755 $$f $(usrbindir)/$$f; \
	done
	-$(INSTALL) -d $(libdir)/calendar
	for f in `$(LS) ./calendars`; \
	do \
	  $(INSTALL) -m 644 ./calendars/$$f $(libdir)/calendar/$$f; \
	done
	for f in *.1; \
	do \
	  $(INSTALL) -m 644 $$f $(man1dir)/$$f; \
	done
	for f in *.6; \
	do \
	  $(INSTALL) -m 644 $$f $(man6dir)/$$f; \
	done

banner:   banner.o err.o getopt.o
cal:      cal.o err.o getopt.o
calendar: calendar.o err.o getopt.o
col:      col.o err.o getopt.o
colcrt:   colcrt.o err.o getopt.o
colrm:    colrm.o getopt.o
column:   column.o err.o getopt.o
from:     err.o from.o getopt.o
hexdump:  conv.o display.o getopt.o hexdump.o hexsyntax.o odsyntax.o parse.o
look:     getopt.o look.o
lorder:   lorder.sh
script:   getopt.o script.o
tsort:    err.o getopt.o tsort.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) -ldb
ul:       err.o getopt.o ul.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) -lncurses
vacation: err.o getopt.o vacation.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) -ldb
whois:    getopt.o whois.o
write:    err.o getopt.o write.o

## bsdmainutils 4.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,17 @@
 CC = gcc
 CFLAGS = -O2   -I. -I/usr/include/bsd   -DDEBIAN
 LDFLAGS = -s
-LDLIBS = -lbsd
+#LDLIBS = -lbsd
+LDLIBS = 
 
 INSTALL = install
 LS = ls
 
+# list of /usr/lib/calendar/YYYY directories to populate
+YEARS = 1998
+
 usrbindir = /usr/bin
+gamedir = /usr/games
 libdir = /usr/lib
 mandir = /usr/man
 man1dir = $(mandir)/man1
@@ -14,8 +19,11 @@
 
 
 # Programs that are installed to $(usrbindir).
-USRBINPROGS = banner cal calendar col colcrt colrm column from hexdump \
+USRBINPROGS = cal calendar col colcrt colrm column from hexdump \
               look lorder tsort ul vacation whois
+
+# Programs that are installed to $(gamedir).
+GAMESPROGS = banner
 
 # Programs installed to $(usrbindir), but setgid tty
 SGIDTTYPROGS = write
@@ -26,33 +34,40 @@
 .o:
 	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)
 
-all:  $(USRBINPROGS) $(SGIDTTYPROGS)
+all:  $(USRBINPROGS) $(GAMESPROGS) $(SGIDTTYPROGS)
 
 clean:
-	rm -f $(USRBINPROGS) $(SGIDTTYPROGS)
+	rm -f $(USRBINPROGS) $(GAMESPROGS) $(SGIDTTYPROGS)
 	rm -f *.o core *~
 
 install: all
-	./mkinstalldirs $(usrbindir) $(libdir) $(man1dir) $(man6dir)
+	./mkinstalldirs $(usrbindir) $(gamedir) $(libdir) $(man1dir) $(man6dir)
 	for f in $(USRBINPROGS); \
 	do \
-	  $(INSTALL) $$f $(usrbindir)/$$f; \
+	  $(INSTALL) -o root -g root -m 755 $$f $(usrbindir)/$$f; \
+	done
+	for f in $(GAMESPROGS); \
+	do \
+	  $(INSTALL) -o root -g root -m 755 $$f $(gamedir)/$$f; \
 	done
 	for f in $(SGIDTTYPROGS); do \
 	  $(INSTALL) -o root -g tty -m 2755 $$f $(usrbindir)/$$f; \
 	done
-	-$(INSTALL) -d $(libdir)/calendar
-	for f in `$(LS) ./calendars`; \
-	do \
-	  $(INSTALL) -m 644 ./calendars/$$f $(libdir)/calendar/$$f; \
+	for year in $(YEARS); do \
+	  $(INSTALL) -o root -g root -m 755 -d $(libdir)/calendar/$$year; \
+	  for f in `$(LS) ./calendars/$$year`; \
+	  do \
+	    $(INSTALL) -o root -g root -m 644 \
+		./calendars/$$year/$$f $(libdir)/calendar/$$year/$$f; \
+	  done; \
 	done
 	for f in *.1; \
 	do \
-	  $(INSTALL) -m 644 $$f $(man1dir)/$$f; \
+	  $(INSTALL) -o root -g root -m 644 $$f $(man1dir)/$$f; \
 	done
 	for f in *.6; \
 	do \
-	  $(INSTALL) -m 644 $$f $(man6dir)/$$f; \
+	  $(INSTALL) -o root -g root -m 644 $$f $(man6dir)/$$f; \
 	done
 
 banner:   banner.o err.o getopt.o

=== debian/changelog ===
bsdmainutils (4.2) frozen unstable; urgency=medium

  * changed lorder.sh to securely create files in /tmp using tempfile.
      Fixes Bug#19785. 
  * added dependency on debianutils >= 1.8 to get /bin/tempfile
  * display.c, tsort.c, vacation.c: applied patch for Sparc from
      Eric Delaunay <delaunay@lix.polytechnique.fr>  Fixes Bug#17293.
  * debian/rules: don't compress copyright file.  Fixes Bug#14372.

 -- Austin Donnelly <and1000@debian.org>  Mon,  6 Apr 1998 00:13:45 +0100

bsdmainutils (4.1) unstable; urgency=medium

  * Patch from Eloy Paris <peloy@ven.ra.rockwell.com> make vacation now
      properly case-insensitive on names, and fixes Bug#13539.
  * calendar.c: look in /usr/lib/calendar/<yearnum> for data, as well as
      /usr/lib/calendar.  Permits smooth transitions.
  * calendar files updated for 1998, and moved to /usr/lib/calendar/1998
  * control: Standards-Version now 2.3.0.1.  Fixes Bug#16747.

 -- Austin Donnelly <and1000@debian.org>  Sun, 11 Jan 1998 22:15:55 +0000

bsdmainutils (4.0) unstable; urgency=medium

  * recompiled for libc6
  * security fix for calendar (properly drop all root privs when run from
       cron)  Fixes Bug#12327.
  * patch by Herbert Thielen to fix calendar parser (Fixed Bug#11889).
  * suggest "wordlist" or "wenglish".  Fixes Bug#12116.
  * patch from Ray Dassen to fix example in lorder(1) manpage.
       Fixes Bug#13339.
  * patch from Ray Dassen to correct typo in calendar.birthday.
       Fixes Bug#13340.
  * Makefile now actually installs the GAMESPROGS, rather than ignoring
       them.  Fixes Bug#13105 and Bug#11006.
  * calendar.c: tzfile.h not needed; isleep() needed
  * tsort.c: db/db.h -> db.h
  * vacation.c: tzfile.h not needed; db/db.h -> db.h

 -- Austin Donnelly <and1000@debian.org>  Sun, 12 Oct 1997 13:52:36 +0100

bsdmainutils (3.4) unstable; urgency=low

  * removed twiddles files from /usr/lib/calendar
  * Christian, Judaic, holiday and usdolidy calendar files updated to
        reflect dates that move from year to year.
  * Makefile made more robust about root.root file ownerships.

 -- Austin Donnelly <and1000@debian.org>  Sun, 22 Jun 1997 17:19:24 +0100

bsdmainutils (3.3) unstable; urgency=low

  * moved to new source format (finally)
  * write.c: if tty atime is way in the past, use utmp entry create time.
        This solves the problem of write using the wrong tty if it's never
        been typed at. Fixes Bug#7781.
  * lorder.sh: fix problem due to GNU nm not outputting in same format as
        BSD nm.  Fixes Bug#3782.
  * added cron.daily entry for calendar -a, but disabled by default.
        Fixes Bug#4672.
  * added "Suggests: word-list", since look(1) requires one. Fixes Bug#8220.
  * Changed date of Australia day in calendar.holiday. Fixes Bug#8728.
  * banner moved to /usr/games/banner, to stop confilct with sysvbanner.
        Fixes Bug#8982.
  * display.c: experimental endian-fixes for hexdump for the m68k people,
        Fixes Bug#8064, Bug#8067, and Bug#9778.

 -- Austin Donnelly <and1000@debian.org>  Sun, 1 Jun 1997 20:17:59 +0100

Sat Aug 17 15:01:48 1996  Austin Donnelly <and1000@debian.org>

	* write.c: when uid and utmp login don't match, only
	    warn if user is root. Fixes Bug#4179.

	* Released bsdmainutils-3.1-0

Sat Jun  8 21:44:22 1996  Austin Donnelly  <and1000@valour.pem.cam.ac.uk>

	* col.c: applied patch from Thomas Koenig
	    <ig25@mvmampc66.ciw.uni-karlsruhe.de> to pass 8-bit chars if
	    they are graphic chars in the current locale. Fixes Bug#3219.

	* debian.rules: bumped version

	* debian.control: changes the "conflicts: <<3.0-0" to "replaces:
	    <<3.0-0", as per Ian Jackson. This fixes Bug#3085.

	* Released bsdmainutils-3.1-0

Mon Apr 15 12:07:04 1996  Austin Donnelly  <and1000@cam.ac.uk>

	* New package, bsdmainutils. Version starts at 3.0 to strengthen
	  connection with bsdutils package. This fixes Bug#2141.

	* Based on bsdutils-2.0-2

	* Deleted:
	    /bin/kill
	    /usr/bin/logger
	    /usr/bin/mesg
	    /usr/bin/renice
	    /usr/bin/script
	    /usr/bin/wall
	    /usr/sbin/chroot
	  These are left in bsdutils (other than /usr/bin/mesg, which has
	  moved to sysvinit). (Bug#2602 and #2601)

	* Added 'architecture' control field (Bug#2616)

	* removed 'pre-depends' stuff. Use just plain 'depends' line.

	* mesg from sysvinit fixes Bug#2317.

	* banner.c: register the program name to fix Bug#2559.

=== debian/control ===
Source: bsdmainutils
Section: utils
Priority: important
Maintainer: Austin Donnelly <and1000@debian.org>
Standards-Version: 2.1.1.2

Package: bsdmainutils
Architecture: any
Depends: ${shlibs:Depends}, bsdutils(>=3.0-0), debianutils(>=1.8)
Replaces: bsdutils (<<3.0-0)
Suggests: wordlist | wenglish
Description: More utilities from 4.4BSD-Lite.
 This package contains lots of small programs many people expect to find
 when they use a BSD-style Unix system.
 .
 Included are: banner, cal, calendar, col, colcrt, colrm, column, from,
 hexdump, look, lorder, tsort, ul, vacation, whois, write.

=== debian/rules ===
#! /usr/bin/make -f
#
# Last updated: Sun Jun  1 17:12:04 BST 1997 by and1000.
#
# To make the binary distribution package, the ``Debianized'' source package
# and the context diff to the original package, type `./debian.rules dist'.
# Make sure that `debian.rules' is executable before the final distribution
# is made.
#
# Invoke each target with `./debian.rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.  The `diff' target assumes that you have the original
# source package available, unpacked, in ../$(p)-$(v).orig, or that you have
# the previous revision of the ``Debianized'' source package and context diff
# in the parent directory.

package=bsdmainutils

build:
	make
	touch build

clean:
	make clean
	rm -f build
	rm -rf debian/tmp
	rm -f debian/*~
	rm -f calendars/*~

binary-indep:   checkroot build

binary-arch:    checkroot build
	rm -rf debian/tmp
	install -o root -g root -m 755 -d debian/tmp debian/tmp/DEBIAN
	install -o root -g root -m 755 -d debian/tmp/usr/doc/$(package)
	make install \
	  usrbindir=debian/tmp/usr/bin \
	  gamedir=debian/tmp/usr/games \
	  libdir=debian/tmp/usr/lib \
	  mandir=debian/tmp/usr/man
	gzip -9v debian/tmp/usr/man/man?/*
	chmod -R g-w debian/tmp
	install -g root -m 644 -o root debian/conffiles \
		debian/tmp/DEBIAN/conffiles
	install -o root -g root -m 644 debian/copyright \
		debian/tmp/usr/doc/$(package)/copyright
	install -o root -g root -m 644 debian/changelog \
		debian/tmp/usr/doc/$(package)/changelog.Debian
	install -o root -g root -m 644 README.* \
		debian/tmp/usr/doc/$(package)
	gzip -9v debian/tmp/usr/doc/$(package)/*
	gunzip debian/tmp/usr/doc/$(package)/copyright.gz
	install -o root -g root -d -m 755 debian/tmp/etc/cron.daily
	install -m 755 -o root -g root debian/cron.calendar \
		debian/tmp/etc/cron.daily/calendar
	dpkg-shlibdeps banner cal calendar col colcrt colrm column from \
		hexdump look tsort ul vacation whois write
	dpkg-gencontrol
	dpkg --build debian/tmp ..

binary:         binary-indep binary-arch
checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## bsdmainutils 4.4.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC = gcc
-CFLAGS = -O2   -I. -I/usr/include/bsd   -DDEBIAN
+CFLAGS = -O2 -I. -I/usr/include/bsd   -DDEBIAN
 LDFLAGS = -s
 #LDLIBS = -lbsd
 LDLIBS = 
@@ -8,7 +8,7 @@
 LS = ls
 
 # list of /usr/lib/calendar/YYYY directories to populate
-YEARS = 1998
+YEARS = 1998 1999
 
 usrbindir = /usr/bin
 gamedir = /usr/games
@@ -61,6 +61,13 @@
 		./calendars/$$year/$$f $(libdir)/calendar/$$year/$$f; \
 	  done; \
 	done
+	for f in `$(LS) ./calendars/every.year`; \
+	do \
+	  $(INSTALL) -o root -g root -m 644 \
+	      ./calendars/every.year/$$f $(libdir)/calendar/$$f; \
+	done
+	$(INSTALL) -o root -g root -m 644 ./calendars/default \
+		 $(libdir)/calendar/default
 	for f in *.1; \
 	do \
 	  $(INSTALL) -o root -g root -m 644 $$f $(man1dir)/$$f; \

=== debian/changelog ===
bsdmainutils (4.4.0.1) frozen unstable; urgency=low

  * Recompile to fix dependencies.  Now depends on libc6, with no
    version requirement.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri, 11 Dec 1998 20:22:49 +0000

bsdmainutils (4.4) frozen unstable; urgency=low

  * New maintainer.
  * Release to frozen: there are no real code changes in this release,
    so it should be safe to install in slink.

  * cal.1: document arguments correctly: "[[month] year]", not
    "[month [year]]".  Fixes Bug#27240.

  * Include calendar files updated for 1999.  (The files for 1998 are
    still included, of course.)
  * Move non-year-dependent calendar files out of year-specific
    directories, moving them up a level to /usr/lib/calendar.
  * New calendar file: calendar.hindu.  Add an empty calendars.hindu for
    1998, so that inclusion works properly.  "#include" it in default
    calendar file.
  * calendar.1: describe new file calendar.hindu.

  * Reinstated calendar.c.rej and pathnames.h.rej so that I can check
    properly before the next release what needs to be done with them.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Thu, 26 Nov 1998 03:48:40 +0000

bsdmainutils (4.3.3) frozen unstable; urgency=medium

  * Non-maintainer release.

  * look.c, look.1, pathname.h: look in /usr/share/dict/words first,
    then fall back on /usr/dict/words.  Fixes Bug#27321.  (Medium urgency
    because some wordlists have already moved to /usr/share/dict.)
  * debian/control: swap concrete and virtual package names in depends
    line, as per packaging manual.
  * debian/rules: clean up debian/{files,substvars} properly.
    Fixes Bug#27155.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Sun, 15 Nov 1998 18:03:56 +0000

bsdmainutils (4.3.2) unstable; urgency=low

  * Non-maintainer upload
  * Removed debian/files, calendar.c.rej and pathnames.h.rej

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  9 Nov 1998 03:29:38 -0600

bsdmainutils (4.3.1) unstable; urgency=low

  * Non-maintainer upload
  * Recompiled for ncurses4

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 31 Oct 1998 16:38:24 -0800

bsdmainutils (4.3) unstable; urgency=medium

  * vacation.c: read entire message, not just the headers, to keep mailers
    	which detect abnormal pipe closure from throwing a fit.
  	Fixes Bug#23072.
  * look.c: fix problem with dictionary comparisons due to
    	misunderstanding the behaviour of C's "continue" keyword.
  	Fixes Bug#21536 and #26958.
  * pathname.h, calendar.c, calendars/default: patch from Patrik Rak
    	<patrik@ss1000.ms.mff.cuni.cz> to use ~/.calendar as an
    	alternative to ~/calendar.  Also has a system-wide default file
    	used if user has none.  Fixes Bug#15813, #25854
  * column.c: patch from Patrik Rak <prak3264@ss1000.ms.mff.cuni.cz> to fix
   	segfault if too many columns are passed in with -t option.
  	Fixes Bug#26132.

 -- Austin Donnelly <and1000@debian.org>  Sat, 26 Sep 1998 16:18:15 +0100

=== debian/control ===
Source: bsdmainutils
Section: utils
Priority: important
Maintainer: Charles Briscoe-Smith <cpbs@debian.org>
Standards-Version: 2.1.1.2

Package: bsdmainutils
Architecture: any
Depends: ${shlibs:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8)
Replaces: bsdutils (<< 3.0-0)
Suggests: wenglish | wordlist
Description: More utilities from 4.4BSD-Lite.
 This package contains lots of small programs many people expect to find
 when they use a BSD-style Unix system.
 .
 Included are: banner, cal, calendar, col, colcrt, colrm, column, from,
 hexdump, look, lorder, tsort, ul, vacation, whois, write.

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,8 @@
 	make clean
 	rm -f build
 	rm -rf debian/tmp
+	rm -f debian/files
+	rm -f debian/substvars
 	rm -f debian/*~
 	rm -f calendars/*~

## bsdmainutils 4.7.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 CC = gcc
-CFLAGS = -O2 -I. -I/usr/include/bsd   -DDEBIAN
+EXTRADEFS = -DDEBIAN -DHAVE_UNISTD_H -DHAVE_STDARG_H -DHAVE_GETUTENT
+CFLAGS = -O2 -I. -I/usr/include/bsd $(EXTRADEFS)
 LDFLAGS = -s
 #LDLIBS = -lbsd
 LDLIBS = 
@@ -7,12 +8,13 @@
 INSTALL = install
 LS = ls
 
-# list of /usr/lib/calendar/YYYY directories to populate
-YEARS = 1998 1999
+# list of /usr/share/calendar/YYYY directories to populate
+YEARS = 1998 1999 2000 2001
 
+etcdir = /etc
 usrbindir = /usr/bin
 gamedir = /usr/games
-libdir = /usr/lib
+libdir = /usr/share
 mandir = /usr/man
 man1dir = $(mandir)/man1
 man6dir = $(mandir)/man6
@@ -20,7 +22,7 @@
 
 # Programs that are installed to $(usrbindir).
 USRBINPROGS = cal calendar col colcrt colrm column from hexdump \
-              look lorder tsort ul vacation whois
+              look lorder ul vacation
 
 # Programs that are installed to $(gamedir).
 GAMESPROGS = banner
@@ -55,6 +57,7 @@
 	done
 	for year in $(YEARS); do \
 	  $(INSTALL) -o root -g root -m 755 -d $(libdir)/calendar/$$year; \
+	  $(INSTALL) -o root -g root -m 755 -d $(etcdir)/calendar/$$year; \
 	  for f in `$(LS) ./calendars/$$year`; \
 	  do \
 	    $(INSTALL) -o root -g root -m 644 \
@@ -66,8 +69,10 @@
 	  $(INSTALL) -o root -g root -m 644 \
 	      ./calendars/every.year/$$f $(libdir)/calendar/$$f; \
 	done
+	$(INSTALL) -o root -g root -m 644 ./calendars/standard-default \
+		 $(libdir)/calendar/standard-default
 	$(INSTALL) -o root -g root -m 644 ./calendars/default \
-		 $(libdir)/calendar/default
+		 $(etcdir)/calendar/default
 	for f in *.1; \
 	do \
 	  $(INSTALL) -o root -g root -m 644 $$f $(man1dir)/$$f; \
@@ -89,11 +94,8 @@
 look:     getopt.o look.o
 lorder:   lorder.sh
 script:   getopt.o script.o
-tsort:    err.o getopt.o tsort.o
-	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) -ldb
 ul:       err.o getopt.o ul.o
 	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) -lncurses
 vacation: err.o getopt.o vacation.o
 	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) -ldb
-whois:    getopt.o whois.o
 write:    err.o getopt.o write.o

=== mirrors/NetBSD/NetBSD-current/src/usr.bin/calendar/Makefile ===
#	$NetBSD: Makefile,v 1.9 1998/09/27 17:22:10 lukem Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/6/93

PROG=	calendar
.if !defined (NOSHARE)
FILESDIR=/usr/share/calendar
FILES!= echo ${.CURDIR}/calendars/calendar.*
.endif

.include <bsd.prog.mk>

=== debian/changelog ===
bsdmainutils (4.7.1) frozen unstable; urgency=high

  * NMU by Security Team.
  * Fix vacation's invocation of sendmail.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 15 Jul 2000 13:17:17 -0700

bsdmainutils (4.7) unstable; urgency=low

  * (Hopefully this release will *just* squeak in before the freeze ;0) )

  * Egregiously hack calendar.c so that '*' doesn't only expand to
    the current month; the same date in the next month is checked, too.
    Closes: bug#35337, "calendar doesnt handle "* 1 first day in a month"
    correctly".
  * write.c: don't let ASCII BEL characters through any more.  Abort after
    filtering out more than 256 binary characters in a single session.
    Note that this still allows users to write as much plain text as they
    like to each others' terminals, although it'll catch mistakes like
    "cat /vmlinuz|write user".  Closes: bug#51324, "write allows binary
    data to be piped to users' console" (actually, it didn't allow that).

  * {199[89],200[01]}/calendar.christian, easter.c: Change "Easter
    Sunday" to "Easter Day"; apparently "Easter Sunday" is not the proper
    name for that day.  Closes: bug#52896, "error in calendar database
    (calendar.christian)".
  * 200[01]/calendar.holiday: Adjust dates of Adults Day and Health-Sports
    Day in Japan.  Closes: bug#51189, "Two Japanese holidays will be
    moved from 2000".
  * calendar.history: In "Sep 12 German paratroopers rescue Mussolini
    from captivity in Rome, 1943", remove reference to Rome; apparently
    he wasn't imprisoned in Rome.  Closes: bug#44818, "error in calendar
    database".

  * Added some more explanatory output to postinst when moving
    config-files around.  Closes: bug#37619, "upgrade leaves
    /usr/lib/calendar" (actually, it already deleted /usr/lib/calendar).

  * Some out-of-date bugs to be closed:
    + Closes: bug#42804, "should Replace: slink version of textutils".
      (Was fixed in version 4.6.)
    + Closes: bug#44527, "/usr/bin/from has stopped working".
      (Actually about dependencies; this was a non-bug.)
    + Closes: bug#43743, "vacation uses vfork() instead of fork()".
      (Fixed in version 4.6.)
    + Closes: bug#42134, "look doesn't support latin chars (patch included)".
      (Fixed differently in version 4.6.)

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri, 14 Jan 2000 17:46:40 +0000

bsdmainutils (4.6) unstable; urgency=low

  * Remove tsort.  Conflict with textutils (<< 2.0-1) which did not
    contain tsort.  Closes: bug#43413, "error on configure: tsort:
    command not found".
  * Suggest whois instead of recommending it.  Closes: bug#43079,
    "bsdmainutils has bogus "recommends" dependency on whois".
  * Recommend cpp, since calendar(1) requires it.  Closes: bug#41696,
    "calendar depends on cpp".
  * Update to policy version 3.0.1.  Use FHS directories, and install
    /usr/doc symlink.

  * Change vfork() call in vacation.c to fork().  Closes: bug#41168,
    "vacation does not send .vacation.msg".
  * Change col.c so that ESC 7, ESC 8 and ESC 9 are recognised properly.
    Closes: bug#42462, "col does not recognise ESC-7/8/9".
  * Attempt to fix look.c to handle local notions of alphanumericness.
    Addresses bug#42134, "look doesn't support latin chars".
  * Kludge from.c to look in /var/spool/mail for mail spools instead of
    /var/mail.  The bug is actually due to libc6-dev, whose <paths.h>
    defines _PATH_MAILDIR as "/var/mail".  Addresses bug#44527,
    "/usr/bin/from has stopped working".

  * Update South African holidays according to information from
    Michael-John Turner.  Closes: bug#48229, "Calendar has outdated
    holidays for South Africa".
  * Update Polish holidays according to information from
    <pehasys@galileo.dnp.fmph.uniba.sk>.  Closes: bug#37329.
  * Split calendar.christian into two: fixed and moveable.  Include
    easter.c from Oliver Elphick, with which to generate new versions
    of the moveable part.
  * Updated calendar.{,us}holiday for 2000.
  * Added calendar.judaic for 2000/2001, supplied by Julian Gilbey.
  * Changed all calendar files to give dates in the format "Jun 07"
    instead of the ambiguous "06/07".

 -- Charles Briscoe-Smith <cpbs@debian.org>  Sat, 30 Oct 1999 01:47:05 +0100

bsdmainutils (4.5.2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove tsort, now provided in textutils.

 -- Galen Hazelwood <galenh@debian.org>  Wed, 11 Aug 1999 07:46:08 -0600

bsdmainutils (4.5.2) unstable; urgency=low

  * Remove whois; recommend new whois package.
  * write.c: if mytty begins with "/dev/", remove it; fixes write's
    choice of tty when writing to onesself.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri, 16 Apr 1999 17:51:43 +0100

bsdmainutils (4.5.1) unstable; urgency=low

  * Attempt to fix bug 35648: "write does not support Unix98 PTYs".

 -- Charles Briscoe-Smith <cpbs@debian.org>  Thu, 15 Apr 1999 01:02:04 +0100

bsdmainutils (4.5) unstable; urgency=low

  * Implement -t option in calendar: give only today's events.  Fixes bug
    14117, "calendar feature request: "today only" switch".
  * Thanks to Jason Henry Parker <henry@freezer.humbug.org.au>, implement
    -n option: don't treat Friday specially.
  * Moved calendar files from /usr/lib/calendar to /usr/share/calendar.
  * /usr/lib/calendar/default is no longer a conffile.  Instead,
    /etc/calendar/default is the default calendar file, and
    includes /usr/share/calendar/standard-default.  Fixes bug 33905,
    "/usr/lib/calendar/default is a config file and should live in /etc".
  * ul.c: use a dynamically-sized buffer; ul can now handle lines as
    long as you care to feed it.  Fixes bug 31730, "ul suffers from
    buffer overflows".
  * Changed Hungarian holidays according to information from Karoly
    Lorentey.  Fixes bug 33978, "Hungarian Holidays".
  * Eliminated __linux__ conditionals.  Fixes bug 32247, "Patch to move
    from Linux to Unix compatibility".


=== debian/control ===
Source: bsdmainutils
Section: utils
Priority: important
Maintainer: Charles Briscoe-Smith <cpbs@debian.org>
Standards-Version: 2.5.0

Package: bsdmainutils
Architecture: any
Depends: ${shlibs:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8)
Conflicts: textutils (<< 2.0-1)
Replaces: bsdutils (<< 3.0-0)
Suggests: wenglish | wordlist, whois
Recommends: cpp
Description: More utilities from 4.4BSD-Lite.
 This package contains lots of small programs many people expect to find
 when they use a BSD-style Unix system.
 .
 Included are: banner, cal, calendar, col, colcrt, colrm, column, from,
 hexdump, look, lorder, ul, vacation, write.
 .
 This package used to contain whois, which is now in the separate package
 named "whois".  Also here was tsort, which is now in the "textutils"
 package, version 2.0-1 and later.

=== debian/rules ===
--- 
+++ 
@@ -28,37 +28,38 @@
 	rm -rf debian/tmp
 	rm -f debian/files
 	rm -f debian/substvars
-	rm -f debian/*~
-	rm -f calendars/*~
 
 binary-indep:   checkroot build
 
 binary-arch:    checkroot build
 	rm -rf debian/tmp
 	install -o root -g root -m 755 -d debian/tmp debian/tmp/DEBIAN
-	install -o root -g root -m 755 -d debian/tmp/usr/doc/$(package)
+	install -o root -g root -m 755 -d debian/tmp/usr/share/doc/$(package)
 	make install \
+	  etcdir=debian/tmp/etc \
 	  usrbindir=debian/tmp/usr/bin \
 	  gamedir=debian/tmp/usr/games \
-	  libdir=debian/tmp/usr/lib \
-	  mandir=debian/tmp/usr/man
-	gzip -9v debian/tmp/usr/man/man?/*
+	  libdir=debian/tmp/usr/share \
+	  mandir=debian/tmp/usr/share/man
+	gzip -9v debian/tmp/usr/share/man/man?/*
 	chmod -R g-w debian/tmp
 	install -g root -m 644 -o root debian/conffiles \
 		debian/tmp/DEBIAN/conffiles
 	install -o root -g root -m 644 debian/copyright \
-		debian/tmp/usr/doc/$(package)/copyright
+		debian/tmp/usr/share/doc/$(package)/copyright
 	install -o root -g root -m 644 debian/changelog \
-		debian/tmp/usr/doc/$(package)/changelog.Debian
+		debian/tmp/usr/share/doc/$(package)/changelog
 	install -o root -g root -m 644 README.* \
-		debian/tmp/usr/doc/$(package)
-	gzip -9v debian/tmp/usr/doc/$(package)/*
-	gunzip debian/tmp/usr/doc/$(package)/copyright.gz
+		debian/tmp/usr/share/doc/$(package)
+	gzip -9v debian/tmp/usr/share/doc/$(package)/*
+	gunzip debian/tmp/usr/share/doc/$(package)/copyright.gz
 	install -o root -g root -d -m 755 debian/tmp/etc/cron.daily
 	install -m 755 -o root -g root debian/cron.calendar \
 		debian/tmp/etc/cron.daily/calendar
 	dpkg-shlibdeps banner cal calendar col colcrt colrm column from \
-		hexdump look tsort ul vacation whois write
+		hexdump look ul vacation write
+	install -m 755 debian/postinst debian/tmp/DEBIAN/postinst
+	install -m 755 debian/prerm debian/tmp/DEBIAN/prerm
 	dpkg-gencontrol
 	dpkg --build debian/tmp ..

## bsdmainutils 5.20020211

=== lib/libcalendar/Makefile ===
# $FreeBSD: src/lib/libcalendar/Makefile,v 1.6 2001/07/15 06:46:01 dd Exp $

LIB=	calendar
WARNS?=	2

SRCS=	calendar.c easter.c
INCS=	calendar.h

MAN=	calendar.3

MLINKS=	calendar.3 easterg.3 calendar.3 easterog.3 calendar.3 easteroj.3 \
	calendar.3 gdate.3 calendar.3 jdate.3 \
	calendar.3 ndaysg.3 calendar.3 ndaysj.3 \
	calendar.3 week.3 calendar.3 weekday.3

.include <bsd.lib.mk>

=== usr.bin/banner/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/banner/Makefile,v 1.8 2002/02/08 22:31:35 markm Exp $

PROG=	banner
MAN=	banner.6

.include <bsd.prog.mk>

=== usr.bin/calendar/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/calendar/Makefile,v 1.20 2002/02/08 23:07:34 markm Exp $

PROG=	calendar
SRCS=   calendar.c io.c day.c ostern.c paskha.c
INTER=          de_DE.ISO8859-1 hr_HR.ISO8859-2 ru_RU.KOI8-R
DE_LINKS=       de_DE.ISO_8859-1 de_DE.ISO8859-15 de_DE.ISO_8859-15
HR_LINKS=       hr_HR.ISO_8859-2
TEXTMODE?=	444

beforeinstall:
	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m ${TEXTMODE} \
	    ${.CURDIR}/calendars/calendar.* ${DESTDIR}${SHAREDIR}/calendar
.for lang in ${INTER}
	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m ${TEXTMODE} \
		${.CURDIR}/calendars/${lang}/calendar.* \
		${DESTDIR}${SHAREDIR}/calendar/${lang}; 
.endfor
.for link in ${DE_LINKS}
	rm -rf ${DESTDIR}${SHAREDIR}/calendar/${link}
	ln -s de_DE.ISO8859-1 ${DESTDIR}${SHAREDIR}/calendar/${link}
.endfor
.for link in ${HR_LINKS}
	rm -rf ${DESTDIR}${SHAREDIR}/calendar/${link}
	ln -s hr_HR.ISO8859-2 ${DESTDIR}${SHAREDIR}/calendar/${link}
.endfor

.include <bsd.prog.mk>

=== usr.bin/col/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/col/Makefile,v 1.4 2002/02/08 22:31:36 markm Exp $

PROG=	col

.include <bsd.prog.mk>

=== usr.bin/colrm/Makefile ===
#	From: @(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/colrm/Makefile,v 1.4 2002/02/08 22:31:37 markm Exp $

PROG=	colrm

.include <bsd.prog.mk>

=== usr.bin/column/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/column/Makefile,v 1.4 2002/02/08 22:31:37 markm Exp $

PROG=	column

.include <bsd.prog.mk>

=== usr.bin/from/Makefile ===
#	From: @(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/from/Makefile,v 1.3 2002/02/08 22:31:39 markm Exp $

PROG=	from

.include <bsd.prog.mk>

=== usr.bin/hexdump/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/hexdump/Makefile,v 1.6 2002/02/08 22:31:40 markm Exp $

PROG=	hexdump
SRCS=	conv.c display.c hexdump.c hexsyntax.c odsyntax.c parse.c
MAN=	hexdump.1 od.1
MLINKS=	hexdump.1 hd.1
LINKS=	${BINDIR}/hexdump ${BINDIR}/od
LINKS+=	${BINDIR}/hexdump ${BINDIR}/hd

.include <bsd.prog.mk>

=== usr.bin/ncal/Makefile ===
# $FreeBSD: src/usr.bin/ncal/Makefile,v 1.3 2002/01/08 08:53:12 jhb Exp $
PROG= ncal
SRCS= ncal.c

DPADD+=		${LIBCALENDAR}
LDADD+=		-lcalendar

LINKS=		${BINDIR}/ncal ${BINDIR}/cal
MLINKS=		ncal.1 cal.1

.include <bsd.prog.mk>

=== usr.bin/ul/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/ul/Makefile,v 1.4 2001/12/11 23:27:23 markm Exp $

PROG=	ul

DPADD=	${LIBTERMCAP}
LDADD=	-ltermcap

.include <bsd.prog.mk>

## bsdmainutils 6.0.15

=== debian/changelog ===
bsdmainutils (6.0.15) unstable; urgency=high

  * Read calendar files as the user who owns them instead of root when mailing
    calendar files to the user (-a flag). This prevents users from including
    (and possibly reading) files they can't normally read. This addresses
    CAN-2004-0793.

 -- Graham Wilson <graham@debian.org>  Thu, 19 Aug 2004 00:13:28 +0000

bsdmainutils (6.0.14) unstable; urgency=low

  * Add cs.po, thanks to Marcel Sebek. (closes: #247553)
  * Use a linear search in look by default, since wordlists are not always
    sorted correctly. (closes: #109364, #118278, #244726, #247945)

 -- Graham Wilson <graham@debian.org>  Fri, 14 May 2004 01:04:54 +0000

bsdmainutils (6.0.13) unstable; urgency=low

  * Don't automatically check for what day the week starts on. At this point,
    only four locales support it, and for some reason glibc gets it wrong for
    the C locale. The -m option still exists though. (closes: #241743)

 -- Graham Wilson <graham@debian.org>  Sat, 10 Apr 2004 22:57:26 +0000

bsdmainutils (6.0.12) unstable; urgency=low

  * Remove rcsid from source files. (closes: #238058)
  * Add a -3 flags to the cal(1) program. (closes: #237555)
  * Correct the number of years supported in ncal.1 and calendar.3.
  * Fix some of the comments in config.mk.
  * Check for __GLIBC__ when trying to use nl_langinfo to determine
    weekstart, instead of _NL_TIME_FIRST_WEEKDAY, since the latter is
    not a macro.
  * Change -f week_start to -m, to be more like util-linux cal.

  * Translations:
    - Add zh_CN.po, thanks to Li Daobing. (closes: #231274)
    - Add tr.po, thanks to Recai Oktas. (closes: #239147)
    - Update fr.po, thanks to Christian Perrier. (closes: #239436)

 -- Graham Wilson <graham@debian.org>  Sat, 27 Mar 2004 00:26:18 +0000

bsdmainutils (6.0.11) unstable; urgency=low

  * Add da.po, thanks to Morten Pedersen. (closes: #230667)
  * Observe locale-specific week start day. (closes: #230004)
  * Correct calendar.1. (closes: #230076)

 -- Graham Wilson <graham@debian.org>  Tue, 03 Feb 2004 18:56:52 +0000

bsdmainutils (6.0.10) unstable; urgency=low

  * Put a LOTR date in the correct file. (closes: #229233)

 -- Graham Wilson <graham@debian.org>  Sat, 24 Jan 2004 03:37:58 +0000

bsdmainutils (6.0.9) unstable; urgency=low

  * Fix Beethoven dates in de_DE calendar. (closes: #224826)

 -- Graham Wilson <graham@debian.org>  Mon, 22 Dec 2003 19:50:57 +0000

bsdmainutils (6.0.8) unstable; urgency=low

  * Include correct LOTR dates from Veronica Brandt (closes: #224407)
  * Fix some tabs in calendar.jferies.

 -- Graham Wilson <graham@debian.org>  Thu, 18 Dec 2003 22:21:23 +0000

bsdmainutils (6.0.7) unstable; urgency=low

  * Don't print duplicate month names. (closes: #221027)
  * Don't handle space specially in ul. (closes: #194737)
  * Manage write with update-alternatives. (closes: #92191)

 -- Graham Wilson <graham@debian.org>  Tue, 18 Nov 2003 04:16:48 +0000

bsdmainutils (6.0.6) unstable; urgency=low

  * Extend ncal(1) year limit to 5875706. (closes: #111991)
  * Use read(2) instead of fread(2) in hexdump. (closes: #215787)
  * Handle multi-byte month names properly in ncal. (closes: #158121)

 -- Graham Wilson <graham@debian.org>  Sat, 15 Nov 2003 07:18:30 +0000

bsdmainutils (6.0.5) unstable; urgency=low

  * Add note to look.1 that it only works in C locale.
  * Remove reference to termcap in ul.1. (closes: #215242)
  * Use __unused__ attribute unconditionally in odsyntax.c.
    - Remove related detritus from freebsd.h.
  * Don't #define DEBIAN, except in write.c.
  * Remove the hole from U in banner. (closes: #219319)
  * Revert some of the OpenBSD calendar changes:
    - -t flag now has old behavior.
    - Re-add -l and -w flags.
    - Make -A and -l flags the same.

 -- Graham Wilson <graham@debian.org>  Sat, 08 Nov 2003 17:46:06 +0000

bsdmainutils (6.0.4) unstable; urgency=low

  * Don't reset the permission of write with dh_fixperms. (closes: #212911)

 -- Graham Wilson <graham@debian.org>  Sat, 27 Sep 2003 21:45:00 +0000

bsdmainutils (6.0.3) unstable; urgency=low

  * Create an option for column that allows adjacent delimiters to not be
    merged. (closes: #183877)
  * Remove ChangeLog, since we are now native.
  * Clean up column.1. (closes: #183878, #183876)
  * Add a README file.
  * Install calendar's source.data file into doc/.

 -- Graham Wilson <graham@debian.org>  Mon, 22 Sep 2003 01:57:48 +0000

bsdmainutils (6.0.2) unstable; urgency=low

  * Update Spanish debconf template. Thanks Carlos Valdivia Yagüe.
    (closes: #211834)
  * Include calendar files for the EU and Belgium. Thanks Nicolas
    Évrard. (closes: #176988)

 -- Graham Wilson <graham@debian.org>  Sat, 20 Sep 2003 19:10:58 +0000

bsdmainutils (6.0.1) unstable; urgency=low

  * Make sure to change permission and ownership of our write, not the
    system's. (closes: #210321)

 -- Graham Wilson <graham@debian.org>  Wed, 10 Sep 2003 20:30:54 +0000

bsdmainutils (6.0) unstable; urgency=low

  * New upstream. This is now a native package.
  * debian/control:
    - Standards-Version: 3.6.1 (no changes).
    - Remove reference to textutils from control.
    - Change maintainer address.
  * Numerous fixes to the build process:
    - support for DEB_BUILD_OPTIONS
    - central configuration file, config.mk
    - installation code moved from debian/rules to other files
  * New upstream release:
    - Make lorder(1) work in a strict POSIX environment. Thanks
      Paul Eggert. (closes: #204907)
    - Cause hexdump to print an error when an invalid value follows
      "-n". (closes: #183345)
    - Add note to calendar.1 about format change. (closes: #178329)
    - Add a calendar with Debian dates. Thanks Martin Schulze.
    - Compile hexdump with support for large files. (closes: #175993)
    - Update all calendar files to the new format. (closes: #178330)
    - Add a final newline to calendar.newzealand.
      (closes: #198086, #208664, #207848)


=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 280 2003-07-05 18:20:51Z bob $

SHELL+= -e
#export DH_VERBOSE=1

# support noopt; nostrip is handled dh_strip
CFLAGS = -g
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O2
endif
export CFLAGS

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	$(MAKE) clean
	-rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/bsdmainutils

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installdebconf
	dh_installcron
	dh_strip
	dh_compress
	dh_fixperms -Xbsd-write
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_installdeb
	dh_builddeb

binary: binary-arch

.PHONY: binary binary-arch binary-indep clean build install

## bsdmainutils 6.0.17

=== Makefile ===
# Makefile for the new bsdmainutils
# $Id: Makefile 13 2003-09-06 20:35:08Z bob $

# what programs to build
BIN=$(wildcard usr.bin/*)

# used for building in the subdirectories
rmake=@set -e; for i in $(BIN); do $(MAKE) --no-print-directory -C $$i $(1); done

all: $(BIN)
	$(call rmake)

clean:
	$(call rmake,clean)

install: all
	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/games
	mkdir -p $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/man6

	$(call rmake,install)

dist: clean
	tar -czf ../`basename $(PWD)`.tar.gz -C .. --exclude .svn `basename $(PWD)`

.PHONY: all install clean

=== debian/changelog ===
bsdmainutils (6.0.17) unstable; urgency=medium

  * Use size_t (instead of int) when calling iconv(3): using int on alpha
    caused iconv to read past the end of the buffer, and return EILSEQ.
    (closes: #254075)

 -- Graham Wilson <graham@debian.org>  Wed, 27 Oct 2004 18:31:03 +0000

bsdmainutils (6.0.16) unstable; urgency=high

  * Correct the listed charset in a few .po files, and a mis-encoded character
    in es.po. Thanks to Dennis Barbier. (closes: #277558)

 -- Graham Wilson <graham@debian.org>  Wed, 20 Oct 2004 22:32:46 +0000

=== debian/control ===
Source: bsdmainutils
Section: utils
Priority: important
Maintainer: Graham Wilson <graham@debian.org>
Build-Depends: debhelper (>= 4.1.16), libncurses5-dev
Standards-Version: 3.6.1

Package: bsdmainutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8)
Conflicts: textutils (<< 2.0-1), suidmanager (<< 0.50)
Replaces: bsdutils (<< 3.0-0)
Suggests: cpp, wenglish | wordlist, whois, vacation
Description: collection of more utilities from FreeBSD
 This package contains lots of small programs many people expect to find
 when they use a BSD-style Unix system.
 .
 Included are: banner, ncal, cal, calendar, col, colcrt, colrm, column, from,
 hexdump, look, lorder, ul, write.
 .
 This package used to contain whois and vacation, which are now distributed
 in their own packages. Also here was tsort, which is now in the "coreutils"
 package.

## bsdmainutils 6.1.2

=== debian/changelog ===
bsdmainutils (6.1.2) unstable; urgency=low

  * Fix a typo in calendar.1.

 -- Graham Wilson <graham@debian.org>  Wed, 08 Jun 2005 01:18:22 +0000

bsdmainutils (6.1.1) experimental; urgency=low

  * Remove debconf notes.
  * Remove duplicate SNL premiere date. (closes: #276271)
  * Remove ${misc:Depends} from the control file.
  * Add a calendar file for Argentina, prepared by J. Alejandro Noli.
    (closes: #280669)
  * Fix gcc 4.0 error in calendar.h. (closes: #299666)
  * Fix spelling error in calendar.1. (closes: #302149)

 -- Graham Wilson <graham@debian.org>  Sun, 01 May 2005 23:55:55 +0000

bsdmainutils (6.1) experimental; urgency=low

  * calendar(1) bug fixes and enhancments:
    - Document the LANG=utf-8 calendar file notation.
    - Note that the locale for the calendar file is reset each time a new
      calendar file is read. (closes: #264079)
    - Keep track of the current file and line number, so that encoding
      conversion errors can be reported.
    - Reset special event names when reading new calendar files.
    - Suppress non-printable events by default. (closes: #255379)
  * Fix some calendar errors:
    - Fix spelling error in LOTR calendar. (closes: #255377)
    - Correct Dvorak's birthplace. (closes: #265979)
  * Use signal names, rather than numbers, in lorder. (closes: #256198)

 -- Graham Wilson <bob@decoy.wox.org>  Tue, 31 Aug 2004 20:39:06 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: bsdmainutils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8)
+Depends: ${shlibs:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8)
 Conflicts: textutils (<< 2.0-1), suidmanager (<< 0.50)
 Replaces: bsdutils (<< 3.0-0)
 Suggests: cpp, wenglish | wordlist, whois, vacation

## bsdmainutils 6.1.2ubuntu1

=== debian/changelog ===
bsdmainutils (6.1.2ubuntu1) dapper; urgency=low

  * Add calendar.ubuntu

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 13 Oct 2005 18:56:16 -0700

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 	dh_testroot
 	dh_installdocs
 	dh_installchangelogs
-	dh_installdebconf
 	dh_installcron
 	dh_strip
 	dh_compress

## bsdmainutils 6.1.3ubuntu2

=== debian/changelog ===
bsdmainutils (6.1.3ubuntu2) edgy; urgency=low

  * Add Dapper release date to calendar

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 29 Jun 2006 15:06:49 -0700

bsdmainutils (6.1.3ubuntu1) edgy; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from debian unstable.

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 29 Jun 2006 15:02:12 -0700

bsdmainutils (6.1.3) unstable; urgency=medium

  * Spelling error in calendar.history. (closes: #312572)
  * Fix a warning in the ul man page. (closes: #300668)
  * Don't needlessly capitalize month names. (closes: #298090)
  * Update calendar.debian. (closes: #334564)

  * Fix bug where memory wasn't written past the end of where it was
    allocated. Thanks to Lars Ellenberg for tracking this down.
    (closes: #339042)

  * Don't use align when printing a set of three months in cal, since
    align doesn't take into account escape sequences, and will mess
    things up.
  * Ensure that all of the monthlines returned from mkmonth/mkmonthb
    take up the required amount of space on screen, instead of expecting
    printf to figure this out.
  * Print the current date in reverse video if stdout is a TTY.
    (closes: #265881)

 -- Graham Wilson <graham@debian.org>  Mon, 02 Jan 2006 21:42:23 +0000

## bsdmainutils 6.1.5ubuntu1

=== debian/changelog ===
bsdmainutils (6.1.5ubuntu1) feisty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - added the various ubuntu releases

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Dec 2006 12:20:15 +0100

bsdmainutils (6.1.5) unstable; urgency=low

  * New maintianer (Closes: #400077).

 -- Daniel Baumann <daniel@debian.org>  Thu, 23 Nov 2006 21:07:00 +0100

bsdmainutils (6.1.4ubuntu1) feisty; urgency=low

  * Merge from debian unstable.
  * Add Ubuntu 6.10 release

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 31 Oct 2006 09:03:23 -0800

bsdmainutils (6.1.4) unstable; urgency=low

  * Suggest wamerican, not wenglish. (closes: #354695)
  * Try to automatically determine the first day of the week.
    (closes: #288472)
  * Correct Asimov's birthplace. (closes: #345598)
  * Never read stdin in hexdump if files are supplied on the
    command line. (closes: #291150)
  * Dynamically calculate buffer length of calendar file. (closes: #356943)
  * Fix spelling error in calendar.holiday. (closes: #357894)
  * Update standards version (no changes).
  * Add the required binary-indep target to debian/rules.

 -- Graham Wilson <graham@debian.org>  Tue, 15 Aug 2006 06:03:03 +0000

## bsdmainutils 6.1.6

=== debian/changelog ===
bsdmainutils (6.1.6) unstable; urgency=medium

  * Adding calendar.ubuntu from Matt Zimmerman <mdz@ubuntu.com>.
  * Updating calendar.debian from Martin Schulze <joey@debian.org>.

 -- Daniel Baumann <daniel@debian.org>  Tue,  2 Jan 2007 18:07:00 +0100

=== debian/control ===
Source: bsdmainutils
Section: utils
Priority: important
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 4), libncurses5-dev
Standards-Version: 3.7.2

Package: bsdmainutils
Architecture: any
Depends: ${shlibs:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8)
Conflicts: textutils (<< 2.0-1), suidmanager (<< 0.50)
Replaces: bsdutils (<< 3.0-0)
Suggests: cpp, wamerican | wordlist, whois, vacation
Description: collection of more utilities from FreeBSD
 This package contains lots of small programs many people expect to find when
 they use a BSD-style Unix system.
 .
 Included are: banner, ncal, cal, calendar, col, colcrt, colrm, column, from,
 hexdump, look, lorder, ul, write.
 .
 This package used to contain whois and vacation, which are now distributed in
 their own packages. Also here was tsort, which is now in the "coreutils"
 package.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# $Id: rules 280 2003-07-05 18:20:51Z bob $
 
 SHELL+= -e
 #export DH_VERBOSE=1
@@ -44,6 +43,8 @@
 	dh_installdeb
 	dh_builddeb
 
+binary-indep:
+
 binary: binary-arch
 
 .PHONY: binary binary-arch binary-indep clean build install

## bsdmainutils 6.1.6ubuntu1

=== debian/changelog ===
bsdmainutils (6.1.6ubuntu1) gutsy; urgency=low

  * updated calendar.ubuntu to contain 7.04
  * Merge from debian unstable, remaining changes:
    - calendar.ubuntu updated
    - set maintainer to ubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 May 2007 10:33:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bsdmainutils
 Section: utils
 Priority: important
-Maintainer: Daniel Baumann <daniel@debian.org>
+XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 4), libncurses5-dev
 Standards-Version: 3.7.2
